Package picard.sam

# Enum Class RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile

java.lang.Object
java.lang.Enum<RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile>
picard.sam.RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile

All Implemented Interfaces:
  `Serializable`, `Comparable<RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile>`, `Constable`

Enclosing class:
  RevertOriginalBaseQualitiesAndAddMateCigar

public static enum RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile extends Enum<RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile>
Used as a return for the canSkipSAMFile function.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CAN_SKIP`
`CANNOT_SKIP_FOUND_NO_MC`
`CANNOT_SKIP_FOUND_OQ`
`FOUND_NO_EVIDENCE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canSkip()`
`String`
`getMessage(int maxRecordsToExamine)`
`static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CAN_SKIP

public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile CAN_SKIP

### CANNOT_SKIP_FOUND_OQ

public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile CANNOT_SKIP_FOUND_OQ

### CANNOT_SKIP_FOUND_NO_MC

public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile CANNOT_SKIP_FOUND_NO_MC

### FOUND_NO_EVIDENCE

public static final RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile FOUND_NO_EVIDENCE

## Method Details

### values

public static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RevertOriginalBaseQualitiesAndAddMateCigar.CanSkipSamFile valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMessage

public String getMessage(int maxRecordsToExamine)

### canSkip

public boolean canSkip()